GET /integrations/slack/members
List the members of the connected Slack workspace, fetched live from the Slack API.
curl "https://api.ellipsis.dev/v1/integrations/slack/members" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"members": [
{
"display_name": "string",
"email": "string",
"github": {
"id": 0,
"login": "string"
},
"id": "string",
"name": "string",
"real_name": "string"
}
],
"team_id": "string",
"team_name": "string"
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.integrations.slack.members()
print(result){
"members": [
{
"display_name": "string",
"email": "string",
"github": {
"id": 0,
"login": "string"
},
"id": "string",
"name": "string",
"real_name": "string"
}
],
"team_id": "string",
"team_name": "string"
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.integrations.slack.members();
console.log(result);{
"members": [
{
"display_name": "string",
"email": "string",
"github": {
"id": 0,
"login": "string"
},
"id": "string",
"name": "string",
"real_name": "string"
}
],
"team_id": "string",
"team_name": "string"
}No request body.
{
"properties": {
"members": {
"items": {
"properties": {
"display_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"email": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"github": {
"anyOf": [
{
"properties": {
"id": {
"type": "integer"
},
"login": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"type": "object"
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"real_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"team_id": {
"type": "string"
},
"team_name": {
"type": "string"
}
},
"required": [
"team_id",
"team_name",
"members"
],
"type": "object"
}